Bug 1019572 - (CVE-2013-4428) CVE-2013-4428 OpenStack Glance: image_download policy not enforced for cached images
CVE-2013-4428 OpenStack Glance: image_download policy not enforced for cached...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131004,repor...
: Security
Depends On: 1019575 1019576 1019577 1019580 1019581
Blocks: 1019573
  Show dependency treegraph
 
Reported: 2013-10-16 02:07 EDT by Kurt Seifried
Modified: 2016-04-26 10:23 EDT (History)
34 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-27 20:39:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
CVE-2013-4428.folsom.diff (13.81 KB, patch)
2013-10-21 15:53 EDT, Kurt Seifried
no flags Details | Diff
CVE-2013-4428.grizzly.diff (12.34 KB, patch)
2013-10-21 15:53 EDT, Kurt Seifried
no flags Details | Diff

  None (edit)
Description Kurt Seifried 2013-10-16 02:07:41 EDT
Thierry Carrez from OpenStack reports:

Title: Glance image_download policy not enforced for cached images
Reporter: Stuart McLaren (HP)
Products: Glance
Affects: Folsom, Grizzly

Description:
Stuart McLaren from HP reported a vulnerability in Glance download_image
policy enforcement in the case of cached images. Deployers may opt to
set a download_image policy to restrict image download to specific
roles. However, when an image is previously cached by an authorized
download, any authenticated user could download image contents if it can
determine the image UUID, bypassing any download_image policy
restrictions. This could result in disclosure of image contents that
were thought to be protected by the download_image policy setting. Only
setups making use of the download_image policy are affected.

External references:

https://bugs.launchpad.net/glance/+bug/1235378
Comment 1 Kurt Seifried 2013-10-16 02:11:19 EDT
Acknowledgements:

Red Hat would like to thank the OpenStack Project for reporting this issue. The OpenStack Project acknowledges Stuart McLaren from HP as the original reporter.
Comment 3 Kurt Seifried 2013-10-16 02:15:43 EDT
Created openstack-glance tracking bugs for this issue:

Affects: fedora-all [bug 1019580]
Affects: epel-6 [bug 1019581]
Comment 4 Kurt Seifried 2013-10-21 15:53:11 EDT
Created attachment 814782 [details]
CVE-2013-4428.folsom.diff
Comment 5 Kurt Seifried 2013-10-21 15:53:53 EDT
Created attachment 814783 [details]
CVE-2013-4428.grizzly.diff
Comment 6 errata-xmlrpc 2013-11-18 14:28:17 EST
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1525 https://rhn.redhat.com/errata/RHSA-2013-1525.html

Note You need to log in before you can comment on or make changes to this bug.